Dell PowerConnect 5448P

Dell PowerConnect 5448P

Model PowerConnect 5448PPart no. 13577430

50 specifications
  • Memory64 MB
  • Speed1 Gbit/s
  • ConnectivityWired
  • Weight3.6 kg
  • ColourBlack
  • Switch typeManaged
See all specifications

Overview

Memory
64 MB
Speed
1 Gbit/s
Connectivity
Wired
Weight
3.6 kg
Colour
Black
Switch type
Managed
Brand
Dell
Model
PowerConnect 5448P
Part number
13577430
Also known as
DELL PowerConnect 5448P Managed L3 Black

Specifications

50 specifications in 13 groups

Management features

SpecificationValue
Switch typeManaged
Switch layerL3
Quality of Service (QoS) supportYes
Web-based managementYes
System event logYes
MIB supportFC 1213 MIB II, RFC 1215, RFC 1286, RFC 1442 SMIv2, RFC 1451, RFC 1492 TACACS+, RFC 1493, RFC 1573, RFC 1643, RFC 1757, RFC 1907, RFC 2011, RFC 2012, RFC 2013, RFC 2233, RFC 2618, RFC 2665, RFC 2666, RFC 2674, RFC 2737, RFC 2819, RFC 2863, Dell 5424

Ports & interfaces

SpecificationValue
Basic switching RJ-45 Ethernet ports quantity48
SFP module slots quantity4
SFP/SFP+ slots quantity4
Power connectorDC-in jack

Network

SpecificationValue
Networking standardsIEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.2, IEEE 802.3, IEEE 802.3ac, IEEE 802.3ad, IEEE 802.3I, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Port mirroringYes
Full duplexYes
Auto MDI/MDI-XYes
Broadcast storm controlYes
Flow control supportYes
Spanning tree protocolYes
Number of VLANs4000

Data transmission

SpecificationValue
MAC address table8000 entries
Supported data transfer rates10/100/1000 Mbps
Switching capacity96 Gbit/s
Throughput71.2 Mpps
Number of queues8
Maximum data transfer rate1 Gbit/s
Packet buffer memory6 MB

Security

SpecificationValue
DHCP featuresDHCP server, DHCP client
Access Control List (ACL)Yes
IGMP snoopingYes
MAC address filteringYes
SSH/SSL supportYes
Security algorithms802.1x RADIUS
Static port securityYes

Multicast features

SpecificationValue
Multicast supportYes

Protocols

SpecificationValue
Management protocolsSNMPv1, SNMP v2c, RMON, TFTP, CLI, Telnet, SNTP, BootP/DHCP
Data link protocolsEthernet

Design

SpecificationValue
StackableNo
Product colourBlack

Performance

SpecificationValue
Internal memory64 MB
Flash memory16 MB

Power over Ethernet (PoE)

SpecificationValue
Power over Ethernet (PoE)No

Other features

SpecificationValue
Dimensions (WxDxH)440 x 255 x 44 mm
Connectivity technologyWired
Authentication methodRADIUS, TACACS+
Networking featuresGigabit Ethernet
Dimensions (W x D x H) (imperial)439.9 x 254.5 x 43.9 mm (17.3 x 10 x 1.73")

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 45 °C
Storage temperature (T-T)-20 - 70 °C
Operating relative humidity (H-H)10 - 90%

Weight & dimensions

SpecificationValue
Weight3.6 kg

What people say

Reviews & ratings

Dell PowerConnect 5448P

No reviews yet

Be the first to tell others how Dell PowerConnect 5448P works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Dell PowerConnect 5448P work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Dell PowerConnect 5448P

All network switch comparisons

Similar products

All network switches